﻿/*******************************************************************************************************************/
/*******************************************************************************************************************/
/**                                                                                                               **/
/**                                                                                                               **/
/**               Static CSS for iprotus.Razor components and tools. Include in your project.                     **/
/**                                                                                                               **/
/**                                                                                                               **/
/*******************************************************************************************************************/
/*******************************************************************************************************************/

/*******************************************************************************************************************/
/**                                                                                                               **/
/** Icons and symbols fonts.                                                                                      **/
/** Find symols for free here:                                                                                    **/
/**     https://ionic.io/ionicons                                                                                 **/
/**     https://icongr.am/entypo                                                                                  **/
/**                                                                                                               **/
/** Download Entypo as .otf type font (opentype) here:                                                            **/
/**     https://www.fontsquirrel.com/fonts/entypo                                                                 **/
/**     More here: https://www.dafont.com/theme.php?cat=721.                                                      **/
/**     Use FontForce application (free) to view/edit.                                                            **/
/**                                                                                                               **/
/**                                                                                                               **/
/*******************************************************************************************************************/

@font-face {
	font-family: Entypo;
	src: url(/_content/iprotus.Razor/Fonts/Entypo.otf) format(opentype);
	font-weight: normal;
	font-style: normal;
}
@font-face {
	font-family: ModernPics;
	src: url(/_content/iprotus.Razor/Fonts/ModernPics.otf) format(opentype);
	font-weight: normal;
	font-style: normal;
}

/*******************************************************************************************************************/
/**                                                                                                               **/
/**  CSS priming by iprotus.Razor library.                                                                        **/
/**                                                                                                               **/
/*******************************************************************************************************************/

html, body, main, dialog, table, tbody, td, th, div, span, p, button, input, form, h1, h2, h3, h4, h5, h6, ul, ol, li {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 16px;
}
body {
	cursor: default;
}
h1 {
	font-size: 2.5rem;
	font-weight: bold;
}
h2 {
	font-size: 2rem;
	font-weight: bold;
}
h3 {
	font-size: 1.5rem;
	font-weight: bold;
}
h4 {
	font-size: 1.3rem;
	font-weight: bold;
}
h5 {
	font-size: 1.2rem;
	font-weight: bold;
}
h6 {
	font-size: 1.1rem;
	font-weight: bold;
}
a {
	cursor: pointer;
	text-decoration: none;
	color: var(--iprrazor-master-a-color);
	transition: color 0.5s ease;
}
a:hover {
	color: var(--iprrazor-master-a-color-hover);
}
/*ul {
	padding: 0;
	text-align: left;
	list-style: none;
}
ul li {
	background-image: url(IprSetupGraphics/Logo-32x32.png);
	background-repeat: no-repeat;
	background-size: 0.75rem;
	background-position-y: 0.25rem;
	margin: 0.25rem 0 0.25rem 0.75rem;
	padding: 0 0 0 1.25rem;
}*/
input {
	appearance: none;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 16px;
}
table {
	border-collapse: collapse;
	margin: 0.25rem;
}
table th {
	border-width: 1px;
	border-style: solid;
	border-color: currentColor;
	padding: 0.25rem;
}
table td {
	border-width: 1px;
	border-style: solid;
	border-color: currentColor;
	padding: 0.25rem;
}

/*******************************************************************************************************************/
/**                                                                                                               **/
/**  General purpose static CSS to be used both by iprotus.Razor and others.                                      **/
/**                                                                                                               **/
/*******************************************************************************************************************/

.iprrazor-superscript {
	vertical-align: super;
	font-size: 0.75em;
}
.iprrazor-subscript {
	vertical-align: sub;
	font-size: 0.75em;
}
.iprrazor-nooverscroll {
	overflow: auto;
	overscroll-behavior: none;
}
.iprrazor-nooverscroll-x {
	overflow-x: auto;
	overscroll-behavior: none;
}
.iprrazor-nooverscroll-y {
	overflow-y: auto;
	overscroll-behavior: none;
}
.iprrazor-no-select {
	user-select: none !important;
}
.iprrazor-no-display {
	display: none !important;
}
.iprrazor-center-div-in-div {
	display: flex;
	justify-content: center;	/* horizontal */
	align-items: center;		/* vertical */
}

/*******************************************************************************************************************/
/**                                                                                                               **/
/**  Convenience static CSS used by iprotus.Razor setup page(s).                                                  **/
/**                                                                                                               **/
/*******************************************************************************************************************/

.iprrazor-layer-base {
	z-index: 10;
}
.iprrazor-layer-header {
	z-index: 20;
}
.iprrazor-layer-popup {
	z-index: 50;
/*	...
	z-index: 99;*/
}
.iprrazor-layer-dialog-overlay {
	z-index: 100;
/*	...
	z-index: 298;	// even numbers */
}
.iprrazor-layer-dialog-body {
	z-index: 101;
/*	...
	z-index: 299;	// odd numbers */
}
.iprrazor-layer-error {
	z-index: 500;
}

/*******************************************************************************************************************/
/**                                                                                                               **/
/**  Static CSS used to display contents of exceptions thrown from the iprotus.Razor framework.                   **/
/**                                                                                                               **/
/*******************************************************************************************************************/

.iprrazor-exception.xframe {
	margin: 0;
	border: 0.25em solid var(--iprrazor-header-background-color);
	border-radius: 0 0 1rem 1rem;
	color: var(--iprrazor-master-color);
	background-color: var(--iprrazor-header-background-color);
	overflow: hidden;
}
.iprrazor-exception.xouter {
	display: grid;
	grid-template-columns: auto;
}
.iprrazor-exception.xhead {
	padding: 0.5em 1em 0.25em;
	color: var(--iprrazor-header-color);
	font-weight: bold;
}
.iprrazor-exception.xinner {
	display: grid;
	grid-template-columns: auto 1fr;
	gap: 1px;
}
.iprrazor-exception.xinner > div {
	background-color: var(--iprrazor-master-background-color);
}
.iprrazor-exception.xleft {
	padding: 0.15em.5em;
	min-width: 15em;
}
.iprrazor-exception.xright {
	padding: 0.15em.5em;
}
.iprrazor-exception.xtrace {
	display: grid;
	grid-template-columns: auto;
	gap: 1px;
	padding: 0;
	max-height: 25em;
	overflow: auto;
	word-break: break-all;
	background-color: rgb(177, 177, 177);
}
.iprrazor-exception.xtraceitem {
	position: relative;
	padding: 0.25em 1em 0.25em 3em;
	background-color: var(--iprrazor-master-background-color);
}
.iprrazor-exception.xtracefirst:before {
	content: "at:";
	position: absolute;
	left: 0;
	font-weight: bold;
}
.iprrazor-exception.xtracemiddle:before {
	content: "in:";
	position: absolute;
	left: 0;
	font-weight: bold;
}
.iprrazor-exception.xtracelast:before {
	content: "line:";
	position: absolute;
	left: 0;
	font-weight: bold;
}

/*******************************************************************************************************************/
/**                                                                                                               **/
/**  Static CSS classes used for a variety of controls.                                                           **/
/**                                                                                                               **/
/*******************************************************************************************************************/

.iprrazor-toggle-container {
}
.iprrazor-toggle-track {
	border-radius: 1em;
	box-shadow: -1px -1px 0 0 rgb(0, 0, 0), 1px 1px 0 0 rgb(255, 255, 255);
	background-color: var(--iprrazor-toggleswitch-track-background-color);
	overflow: hidden;
}
.iprrazor-toggle-thumb {
	border-radius: 50%;
	box-shadow: -1px -1px 0 0 rgb(255, 255, 255), 1px 1px 0 0 rgb(0, 0, 0);
	background-color: var(--iprrazor-toggleswitch-thumb-background-color);
	overflow: hidden;
}
